Bug 1300272 - [abrt] gitg: ggit_signature_get_time(): gitg killed by SIGSEGV
[abrt] gitg: ggit_signature_get_time(): gitg killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e4501c77fd13c8643f77aa8d7ce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 06:43 EST by Lukáš Nykrýn
Modified: 2016-12-20 13:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.29 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: core_backtrace (13.92 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: dso_list (17.39 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: environ (3.38 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: exploitable (95 bytes, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: maps (81.80 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: mountinfo (3.39 KB, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-20 06:43 EST, Lukáš Nykrýn
no flags Details
File: open_fds (2.66 KB, text/plain)
2016-01-20 06:44 EST, Lukáš Nykrýn
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2016-01-20 06:44 EST, Lukáš Nykrýn
no flags Details
File: var_log_messages (282 bytes, text/plain)
2016-01-20 06:44 EST, Lukáš Nykrýn
no flags Details

  None (edit)
Description Lukáš Nykrýn 2016-01-20 06:43:36 EST
Description of problem:
Crash on the startup

Version-Release number of selected component:
gitg-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gitg
crash_function: ggit_signature_get_time
executable:     /usr/bin/gitg
global_pid:     18762
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ggit_signature_get_time at ggit-signature.c:342
 #1 gitg_history_ref_row_compare_to at /home/nacho/checkout/gnome/gitg/gitg/history/gitg-history-refs-list.vala:253
 #2 gitg_history_refs_list_sort_rows at /home/nacho/checkout/gnome/gitg/gitg/history/gitg-history-refs-list.vala:721
 #3 _gitg_history_refs_list_sort_rows_gtk_list_box_sort_func at gitg-history-refs-list.c:7473
 #4 node_find_closest at gsequence.c:1753
 #5 node_insert_sorted at gsequence.c:1991
 #6 g_sequence_insert_sorted_iter at gsequence.c:1020
 #7 g_sequence_insert_sorted at gsequence.c:713
 #8 gtk_list_box_insert at gtklistbox.c:2747
 #9 gitg_history_refs_list_add at /home/nacho/checkout/gnome/gitg/gitg/history/gitg-history-refs-list.vala:798
Comment 1 Lukáš Nykrýn 2016-01-20 06:43:41 EST
Created attachment 1116613 [details]
File: backtrace
Comment 2 Lukáš Nykrýn 2016-01-20 06:43:43 EST
Created attachment 1116614 [details]
File: cgroup
Comment 3 Lukáš Nykrýn 2016-01-20 06:43:45 EST
Created attachment 1116615 [details]
File: core_backtrace
Comment 4 Lukáš Nykrýn 2016-01-20 06:43:47 EST
Created attachment 1116616 [details]
File: dso_list
Comment 5 Lukáš Nykrýn 2016-01-20 06:43:49 EST
Created attachment 1116617 [details]
File: environ
Comment 6 Lukáš Nykrýn 2016-01-20 06:43:51 EST
Created attachment 1116618 [details]
File: exploitable
Comment 7 Lukáš Nykrýn 2016-01-20 06:43:53 EST
Created attachment 1116619 [details]
File: limits
Comment 8 Lukáš Nykrýn 2016-01-20 06:43:55 EST
Created attachment 1116620 [details]
File: maps
Comment 9 Lukáš Nykrýn 2016-01-20 06:43:57 EST
Created attachment 1116621 [details]
File: mountinfo
Comment 10 Lukáš Nykrýn 2016-01-20 06:43:58 EST
Created attachment 1116623 [details]
File: namespaces
Comment 11 Lukáš Nykrýn 2016-01-20 06:44:00 EST
Created attachment 1116624 [details]
File: open_fds
Comment 12 Lukáš Nykrýn 2016-01-20 06:44:02 EST
Created attachment 1116625 [details]
File: proc_pid_status
Comment 13 Lukáš Nykrýn 2016-01-20 06:44:03 EST
Created attachment 1116626 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:04:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:02:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.